package com.muyu.utils;

import com.muyu.common.SystemConstant;

import java.math.BigDecimal;
import java.util.Random;

public class VehicleUtils {

    /**
     * 生成VIN
     * @return 返回结果对象
     */
    public static String genVin() {
        String characters = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
        Random random = new Random();
        StringBuilder sb = new StringBuilder(17);
        for (int i = 0; i < 17; i++) {
            int index = (int) (random.nextFloat() * characters.length());
            sb.append(characters.charAt(index));
        }
        return sb.toString();
    }

    private static Random random = new Random();

    /**
     * 生成电池额度
     * @return 电池额度
     */
    public static BigDecimal genBattery(){
        return BigDecimal.valueOf(random.nextInt(54, 60) * 1000L);
    }

}
